<?php
/***************************************************************************
 *                            admin_dashboard.php
 *                            -------------------
 *   begin                : Tuesday, Aug 24, 2004
 *   copyright            : (C) 2004 safeTsurfa
 *   email                : safetsurfa@hotmail.com
 *
 *   $Id: admin_dashboard.php,v 1.0.0.0 2004/08/29 00:00:00 safeTsurfa Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
    $filename = basename(__FILE__);
    $module['My_Dashboard']['Configuration'] = "$filename";
    return;
}

//
// Load default header
//
$no_page_header = TRUE;
$phpbb_root_path = './../';
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);
include('./page_header_admin.'.$phpEx);
include($phpbb_root_path . 'includes/functions_dashboard.'.$phpEx);

if ( !file_exists(@phpbb_realpath($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_dashboard.' . $phpEx)) ) 
{ 
    include($phpbb_root_path . 'language/lang_english/lang_dashboard.' . $phpEx); 
}
else 
{ 
    include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_dashboard.' . $phpEx); 
} 

//
// Pull all dashboard data
//
$sql = "SELECT *
    FROM " . DASHBOARD_TABLE;
if(!$result = $db->sql_query($sql))
{
    message_die(CRITICAL_ERROR, $lang['Dashboard_general_error'], "", __LINE__, __FILE__, $sql);
}
else
{
    while( $row = $db->sql_fetchrow($result) )
    {
        $config_name = $row['config_name'];
        $config_value = $row['config_value'];
        $default_config[$config_name] = $config_value;

        $dashboarddata[$config_name] = ( isset($HTTP_POST_VARS[$config_name]) ) ? $HTTP_POST_VARS[$config_name] : $default_config[$config_name];

        if( isset($HTTP_POST_VARS['submit']) )
        {
            $sql = "UPDATE " . DASHBOARD_TABLE . " SET
                config_value = '" . str_replace("\'", "''", $dashboarddata[$config_name]) . "'
                WHERE config_name = '$config_name'";
            if( !$db->sql_query($sql) )
            {
                message_die(GENERAL_ERROR, "Failed to update general configuration for $config_name", "", __LINE__, __FILE__, $sql);
            }
        }
    }

    if( isset($HTTP_POST_VARS['submit']) )
    {
        $message = $lang['Dashboard_updated'] . "<br /><br />" . sprintf($lang['Click_return_dashboard'], "<a href=\"" . append_sid("admin_dashboard.$phpEx") . "\">", "</a>") . "<br /><br />" . sprintf($lang['Click_return_admin_index'], "<a href=\"" . append_sid("index.$phpEx?pane=right") . "\">", "</a>");

        message_die(GENERAL_MESSAGE, $message);
    }
}

$version = ( $dashboarddata['version'] );
$active_yes = ( $dashboarddata['active'] ) ? "checked=\"checked\"" : "";
$active_no = ( !$dashboarddata['active'] ) ? "checked=\"checked\"" : "";

if ( $dashboarddata['display'] == 1 )
{
    $display_basic = ( $dashboarddata['display'] ) ? "checked=\"checked\"" : "";
}
else if ( $dashboarddata['display'] == 2 )
{
    $display_advanced = ( $dashboarddata['display'] ) ? "checked=\"checked\"" : "";
}
else
{
    $display_both = ( $dashboarddata['display'] ) ? "checked=\"checked\"" : "";
}

$avatars_yes = ( $dashboarddata['avatars'] ) ? "checked=\"checked\"" : "";
$avatars_no = ( !$dashboarddata['avatars'] ) ? "checked=\"checked\"" : "";
$emails_select = emails_select($dashboarddata['emails'], 'emails');
$messages_select = messages_select($dashboarddata['messages'], 'messages');

$l_dashboard_copyright = sprintf($lang['Dashboard_copyright'], $version);

$template->set_filenames(array(
    'body' => 'admin/admin_dashboard_body.tpl')
);

$template->assign_vars(array(
    'S_DASHBOARD_ACTION' => append_sid("admin_dashboard.$phpEx"),

    'L_YES' => $lang['Yes'],
    'L_NO' => $lang['No'],
    'L_DASHBOARD_TITLE' => $lang['Dashboard_title'],
    'L_DASHBOARD_TITLE_EXPLAIN' => $lang['Dashboard_title_explain'],
    'L_DASHBOARD_CONFIG' => $lang['General_Config'],
    'L_DASHBOARD_CONFIG_EXPLAIN' => $lang['Dashboard_config_explain'],
    'L_DASHBOARD_ALLOW' => $lang['Dashboard_allow'],
    'L_DASHBOARD_ALLOW_EXPLAIN' => $lang['Dashboard_allow_explain'],
    'L_ENABLED' => $lang['Enabled'], 
    'L_DISABLED' => $lang['Disabled'], 
    'L_DASHBOARD_MODE' => $lang['Dashboard_mode'],
    'L_DASHBOARD_MODE_EXPLAIN' => $lang['Dashboard_display_explain'],
    'L_BASIC' => $lang['Dashboard_basic'],
    'L_ADVANCED' => $lang['Dashboard_advanced'],
    'L_BOTH' => $lang['Dashboard_both'],
    'L_DASHBOARD_AVATAR' => $lang['Dashboard_avatars'],
    'L_DASHBOARD_AVATAR_EXPLAIN' => $lang['Dashboard_avatars_explain'],
    'L_DASHBOARD_CONTACT' => $lang['Contact_admin'],
    'L_DASHBOARD_CONTACT_EXPLAIN' => $lang['Dashboard_contact_explain'],
    'L_ITEMS_REQUIRED' => $lang['Items_required'],
    'L_FIND' => $lang['Find'],
    'L_DASHBOARD_EMAIL' => $lang['Dashboard_email'],
    'L_DASHBOARD_PM' => $lang['Dashboard_pm'],
    'L_SUBMIT' => $lang['Submit'],
    'L_RESET' => $lang['Reset'],
    'L_DASHBOARD_COPYRIGHT' => $l_dashboard_copyright,

    'S_DASHBOARD_ENABLED' => $active_yes,
    'S_DASHBOARD_DISABLED' => $active_no,
    'DASHBOARD_BASIC_CHECKED' => $display_basic,
    'DASHBOARD_ADVANCED_CHECKED' => $display_advanced,
    'DASHBOARD_BOTH_CHECKED' => $display_both, 
    'S_AVATARS_YES' => $avatars_yes,
    'S_AVATARS_NO' => $avatars_no,
    'EMAILS_SELECT' => $emails_select,
    'MESSAGES_SELECT' => $messages_select,
    'S_HIDDEN_FIELDS' => $s_hidden_fields)
);

$template->pparse('body');

include('./page_footer_admin.'.$phpEx);

?>